petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMAppendOptionsPrefix

Appends to the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMAppendOptionsPrefix(DM dm,const char prefix[])

Logically Collective on DM Many br

### Input Parameters

| dm | - the DM context Many br
| prefix | - the prefix string to prepend to all DM option requests Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

Many br

### Keywords

DM, append, options, prefix, database

### See Also

DMSetOptionsPrefix(), DMGetOptionsPrefix()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages